# Interface methods for submodule: WarpImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: WarpImageFilter
class WarpImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetDisplacementField(self, _arg) -> None:
		""""""
		...

	def GetDisplacementField(self):
		""""""
		...

	def SetInterpolator(self, _arg) -> None:
		""""""
		...

	def GetModifiableInterpolator(self):
		""""""
		...

	def GetInterpolator(self):
		""""""
		...

	@overload
	def SetOutputSpacing(self, _arg: Sequence[float]) -> None:
		""""""
		...

	@overload
	def SetOutputSpacing(self, spacing) -> None:
		""""""
		...

	def GetOutputSpacing(self) -> Sequence[float]:
		""""""
		...

	@overload
	def SetOutputOrigin(self, _arg: Sequence[float]) -> None:
		""""""
		...

	@overload
	def SetOutputOrigin(self, origin) -> None:
		""""""
		...

	def GetOutputOrigin(self) -> Sequence[float]:
		""""""
		...

	def SetOutputDirection(self, _arg) -> None:
		""""""
		...

	def GetOutputDirection(self):
		""""""
		...

	def SetOutputParametersFromImage(self, image) -> None:
		""""""
		...

	def SetOutputStartIndex(self, _arg: Sequence[int]) -> None:
		""""""
		...

	def GetOutputStartIndex(self) -> Sequence[int]:
		""""""
		...

	def SetOutputSize(self, _arg: Sequence[int]) -> None:
		""""""
		...

	def GetOutputSize(self) -> Sequence[int]:
		""""""
		...

	@overload
	def SetEdgePaddingValue(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetEdgePaddingValue(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetEdgePaddingValue(self) -> float:
		""""""
		...

	@overload
	def GetEdgePaddingValue(self) -> int:
		""""""
		...

	def GenerateOutputInformation(self) -> None:
		""""""
		...

	def GenerateInputRequestedRegion(self) -> None:
		""""""
		...

	def BeforeThreadedGenerateData(self) -> None:
		""""""
		...

	def AfterThreadedGenerateData(self) -> None:
		""""""
		...

